PETSc version 3.15.5
Fix/Edit manual page

# PCGAMGSetEigenvalues

Set eigenvalues

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetEigenvalues(PC pc, PetscReal emax,PetscReal emin)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| emax | - max eigenvalue

| emin | - min eigenvalue

### Options Database Key

| -pc_gamg_eigenvalues

### See Also

PCGAMGSetEstEigKSPMaxIt(), PCGAMGSetUseSAEstEig(), PCGAMGSetEstEigKSPType()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetEigenvalues_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages